## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         pkgname        OpenXR-SDK-Source
%global         libmajor 1

Name:           openxr
Version:        1.1.46
Release:        %autorelease
Summary:        An API for writing VR and AR software
License:        Apache-2.0
URL:            https://github.com/KhronosGroup/%{pkgname}
Source:         %{url}/archive/refs/tags/release-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glslang
BuildRequires:  glslang-devel
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-glx)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-dri2)
BuildRequires:  pkgconfig(xrandr) 
BuildRequires:  python3dist(jinja2)

%description
OpenXR is an API specification for writing portable, cross-platform,
virtual reality (VR) and augmented reality (AR) software.

%package libs
Summary:        Libraries for writing VR and AR software

%description libs
This package contains the library needed to run programs dynamically
linked with OpenXR.

%package devel
Summary:        Headers and development files of the OpenXR library
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
Development files for the OpenXR library. Install this package if you
want to compile applications using the OpenXR library.

%prep
%autosetup -n %{pkgname}-release-%{version}

%build
%cmake \
    -DBUILD_ALL_EXTENSIONS=ON \
    -DBUILD_LOADER=ON \
    -DBUILD_TESTS=ON \
    -DBUILD_WITH_STD_FILESYSTEM=OFF \
    -DBUILD_WITH_WAYLAND_HEADERS=ON \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_C_FLAGS="%{optflags} -Wl,--as-needed" \
    -DCMAKE_CXX_FLAGS="%{optflags} -Wl,--as-needed" \
    -DCMAKE_CXX_STANDARD=17 \
    -DDYNAMIC_LOADER=ON
%cmake_build


%install
%cmake_install

# We do not want static file .a
rm -fr %{buildroot}%{_libdir}/*.a

%check
%ctest

%files
%license LICENSE
# Include license in doc otherwise build complains
%doc CHANGELOG.SDK.md LICENSE README.md
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*

%files libs
%{_libdir}/lib%{name}_loader.so.%{libmajor}{,.*}

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
## START: Generated by rpmautospec
* Sat Mar 15 2025 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.1.46-2
- Rebuild for jsoncpp update.

* Sat Mar 08 2025 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.1.46-1
- Update to 1.1.46 (fedora#2350139).

* Thu Feb 27 2025 Björn Esser <besser82@fedoraproject.org> - 1.1.45-2
- Rebuild (jsoncpp)

* Sat Feb 22 2025 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.1.45-1
- Update to 1.1.45 (fedora#2344084).

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.43-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 28 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.1.43-1
- Update to 1.1.43 (rhbz#2329264)

* Sun Oct 27 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.1.42-1
- Update to 1.1.42 (rhbz#2321915)

* Fri Sep 27 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.1.41-1
- Update to 1.1.41 (rhbz#2275043)

* Sun Aug 25 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.1.40-2
- Update to 1.1.40 (rhbz#2044768)

* Sun Aug 25 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.1.40-1
- Update to 1.1.40 (rhbz#2044768)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 15 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.1.36-1
- Update to 1.1.36 (rhbz#2275043)

* Sun Feb 18 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.34-2
- Upload new source

* Sun Feb 18 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.34-1
- Update to 1.0.34 (rhbz#2264751)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 05 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.33-1
- Update to 1.0.33 (rhbz#2256909)

* Sat Dec 02 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.32-1
- Update to 1.0.32 (rhbz#2252474)

* Wed Oct 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.31-1
- Update to 1.0.31 (rhbz#2245426)

* Mon Sep 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.30-2
- Update to 1.0.30 (rhbz#2240148)

* Mon Sep 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.30-1
- Update to 1.0.30 (rhbz#2240148)

* Sun Aug 27 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.29-1
- Update to 1.0.29 (rhbz#2235123)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.28-1
- Update to 1.0.28 (rhbz#2221828)

* Fri Mar 24 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.27-2
- Add new tarball release

* Fri Mar 24 2023 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 1.0.27-1
- Update to 1.0.27 (#2181253)

* Fri Mar 10 2023 Rémi Verschelde <akien@fedoraproject.org> - 1.0.26-3
- Move .so files to -devel package

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 20 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.26-1
- Update to 1.0.26 (#2144233)

* Sun Sep 04 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.25-2
- Update to 1.0.25 (#2100821)

* Sun Sep 04 2022 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 1.0.25-1
- Update to 1.0.25 (#2100821)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun May 29 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.23-1
- Update to 1.0.23 (#2091339)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.0.22-1
- Update to 1.0.22 (#2040304)

* Wed Nov 03 2021 Björn Esser <besser82@fedoraproject.org> 1.0.20-2
- Rebuild (jsoncpp)

* Wed Aug 04 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.18-1
- Uncommitted changes

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.17-1
- Update to 1.0.17 (#1969698)

* Wed May 12 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.16-1
- Update to 1.0.16 (#1921848)

* Mon Apr 19 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.15-1
- Update to 1.0.15

* Sun Jan 31 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.14-2
- Update to 1.0.14

* Sun Jan 31 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.14-1
- Update to 1.0.14

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 26 2020 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.13-1
- Update to 1.0.13

* Tue Nov 10 2020 Luya Tshimbalanga <luya@fedoraproject.org> 1.0.12-1
- Add patch for .so versioning

## END: Generated by rpmautospec
